# Interface PacketInputStream

All Known Implementing Classes:
  `DecompressPacketInputStream, StandardPacketInputStream`

public interface PacketInputStream

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getCompressLastPacketSeq()`
`InputStream`
`getInputStream()`
`int`
`getLastPacketSeq()`
`Buffer`
`getPacket(boolean reUsable)`
`byte[]`
`getPacketArray(boolean reUsable)`
`void`
`setServerThreadId(long serverThreadId, Boolean isMaster)`
`void`
`setTraceCache(LruTraceCache traceCache)`

## Method Details

### getPacket

Buffer getPacket(boolean reUsable) throws IOException

Throws:
  `IOException`

### getPacketArray

byte[] getPacketArray(boolean reUsable) throws IOException

Throws:
  `IOException`

### getLastPacketSeq

int getLastPacketSeq()

### getCompressLastPacketSeq

int getCompressLastPacketSeq()

### close

void close() throws IOException

Throws:
  `IOException`

### setServerThreadId

void setServerThreadId(long serverThreadId, Boolean isMaster)

### setTraceCache

void setTraceCache(LruTraceCache traceCache)

### getInputStream

InputStream getInputStream()